View Issue Details

IDProjectCategoryView StatusLast Update
0001041bareos-core[All Projects] webuipublic2020-02-06 17:27
ReporterbeckzgAssigned Tofrank 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionno change required 
PlatformLinuxOSUbuntuOS Version16.04
Product Version18.2.5 
Fixed in Version 
Summary0001041: BareOS-WebUI partially working
DescriptionHi,

  I just upgraded to version 18.2.5 (with apt-get upgrade), everything looks like okay, but Webui gives me the following error on most of the links (Jobs, Volumes, ...):

"Error: API 2 not available on director. Please upgrade to version 15.2.2 or greater and/or compile with jansson support."

In the Apache log I've a lot of error lines like:

"[Thu Jan 31 14:54:56.229653 2019] [:error] [pid 32236] [client 192.168.30.14:62781] console_name: admin, referer: http://backup.local/backup/dashboard/
[Thu Jan 31 14:54:56.229945 2019] [:error] [pid 32236] [client 192.168.30.14:62781] PHP Notice: fwrite(): send of 26 bytes failed with errno=104 Connection reset by peer in /usr/share/bareos-webui/vendor/Bareos/library/Bareos/BSock/BareosBSock.php on line 219, referer: http://backup.local/backup/dashboard/
[Thu Jan 31 14:55:06.847200 2019] [:error] [pid 31585] [client 192.168.30.14:62782] console_name: admin, referer: http://backup.local/backup/dashboard/
[Thu Jan 31 14:55:06.847706 2019] [:error] [pid 31585] [client 192.168.30.14:62782] PHP Notice: fwrite(): send of 26 bytes failed with errno=104 Connection reset by peer in /usr/share/bareos-webui/vendor/Bareos/library/Bareos/BSock/BareosBSock.php on line 219, referer: http://backup.local/backup/dashboard/"
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

child of 0001045 closedfrank webui login problem 

Activities

beckzg

beckzg

2019-01-31 17:08

reporter   ~0003231

Resolved :)

console/admin.conf: TLS Enable = No
danwie

danwie

2019-07-21 13:53

reporter   ~0003509

Thanks beckzg, this worked after upgrading from 17.x to 18.2.5!
We were despairing; how did you debug this?
frank

frank

2020-02-06 17:27

manager   ~0003737

Unfortunately TLS-PSK is currently not supported in PHP. If you do not disable transport encryption (TLSEnable=False) on the specific console resources (e.g. bareos-dir.d/console/admin.conf) or you do not have certificates setup properly you run into kind of this error message as stated above.

Issue History

Date Modified Username Field Change
2019-01-31 15:00 beckzg New Issue
2019-01-31 17:08 beckzg Note Added: 0003231
2019-02-05 18:11 frank Relationship added child of 0001045
2019-02-05 18:12 frank Assigned To => frank
2019-02-05 18:12 frank Status new => assigned
2019-07-21 13:53 danwie Note Added: 0003509
2020-02-06 17:27 frank Note Added: 0003737
2020-02-06 17:27 frank Status assigned => closed
2020-02-06 17:27 frank Resolution open => no change required